unit Bild3;  

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Movie, StdCtrls;

type
  TForm1 = class(TForm)
    Movie1: TMovie;
    ShowButton: TButton;
    HideButton: TButton;
    EndButton: TButton;
    Panel1: TPanel;
    MoveButton: TButton;
    TurnButton: TButton;
    procedure ShowButtonClick(Sender: TObject);
    procedure HideButtonClick(Sender: TObject);
    procedure EndButtonClick(Sender: TObject);
    procedure MoveButtonClick(Sender: TObject);
    procedure TurnButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

const Pfad = '.\bilder\';  // 'c:\delphi\buch\bilder\';
var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ShowButtonClick(Sender: TObject);
begin
  try
    Movie1.ShowImage (Pfad+'Figur01.bmp');
  except
    Caption := 'Kein Bild';
  end;
end;

procedure TForm1.HideButtonClick(Sender: TObject);
begin
  Movie1.HideImage;
end;

procedure TForm1.EndButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.MoveButtonClick(Sender: TObject);
begin
  try
    Movie1.MoveImage (Pfad+'Figur02.bmp',5);
  except
    Caption := 'Kein Bild';
  end;
end;

procedure TForm1.TurnButtonClick(Sender: TObject);
begin
  try
    Movie1.TurnImage (Pfad+'Figur05.bmp');
  except
    Caption := 'Kein Bild';
  end;
end;

end.
